<template>
  <div>
    <h1 class="mb-3">Do you have any allergies or intolerances? </h1>
    <p class="mb-8">This could be to either medication or food.</p>
    <div class="space-y-3 mb-8">
      <radio-input
        v-for="choice in choices"
        :key="choice.text"
        :input-value="choice.text"
        v-model="radioSelected.value"
        :has-free-answer="choice.hasFreeAnswer"
        @textInput="val => radioSelected.freeAnswer = val"
        :text-value="radioSelected.freeAnswer"
      >
        {{ choice.text }}
      </radio-input>
    </div>
    <common-btn
      :disabled="!radioSelected.value"
      text="Save and Continue"
      @click="nextStage"
    />
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "SkinAnalysis9",
  watch: {
    'radioSelected.value'() {
      this.radioSelected.freeAnswer = null
    }
  },
  data() {
    return {
      radioSelected: {
        value: null,
        freeAnswer: null
      },
      choices: [
        {
          text: 'No',
        },
        {
          text: 'Yes',
          hasFreeAnswer: true
        },
      ],
      radioHandler: newVal => this.setAnswer(this.answersKeys.SKIN_ANALYSIS, newVal, 'stage_9')
    }
  }
}
</script>

<style scoped>

</style>
